/*
 * This file is generated by jOOQ.
 */
package de.ship.db;


import de.ship.db.tables.TCoreClone;
import de.ship.db.tables.TCoreDevice;
import de.ship.db.tables.TCoreElementHierarchy;
import de.ship.db.tables.TCoreGroup;
import de.ship.db.tables.TCoreGroupprivilege;
import de.ship.db.tables.TCoreLogic;
import de.ship.db.tables.TCoreLogicandgrp;
import de.ship.db.tables.TCoreLogiccond;
import de.ship.db.tables.TCoreUmls;
import de.ship.db.tables.TCoreUmlsimport;
import de.ship.db.tables.TCoreUsergroup;
import de.ship.db.tables.TCoreUserprivilege;
import de.ship.db.tables.TCoreValue;
import de.ship.db.tables.TCoreValuelist;
import de.ship.db.tables.TCoreValueparam;
import de.ship.db.tables.TCoreVariable;
import de.ship.db.tables.TInputVariable;
import de.ship.db.tables.TUmlsMrconso;

import org.jooq.Index;
import org.jooq.OrderField;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling indexes of tables in common_dd.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Indexes {

    // -------------------------------------------------------------------------
    // INDEX definitions
    // -------------------------------------------------------------------------

    public static final Index IDX_CLONE = Internal.createIndex(DSL.name("idx_clone"), TCoreClone.T_CORE_CLONE, new OrderField[] { TCoreClone.T_CORE_CLONE.ORIGINAL, TCoreClone.T_CORE_CLONE.CLONED }, false);
    public static final Index IDX_CLONE_CLONED = Internal.createIndex(DSL.name("idx_clone_cloned"), TCoreClone.T_CORE_CLONE, new OrderField[] { TCoreClone.T_CORE_CLONE.CLONED }, false);
    public static final Index IDX_CLONE_ORIGINAL = Internal.createIndex(DSL.name("idx_clone_original"), TCoreClone.T_CORE_CLONE, new OrderField[] { TCoreClone.T_CORE_CLONE.ORIGINAL }, false);
    public static final Index IDX_CORE_DEVICE_FK_ELEMENT = Internal.createIndex(DSL.name("idx_core_device_fk_element"), TCoreDevice.T_CORE_DEVICE, new OrderField[] { TCoreDevice.T_CORE_DEVICE.FK_ELEMENT }, false);
    public static final Index IDX_CORE_GROUP = Internal.createIndex(DSL.name("idx_core_group"), TCoreGroup.T_CORE_GROUP, new OrderField[] { TCoreGroup.T_CORE_GROUP.NAME }, false);
    public static final Index IDX_CORE_LOGIC_FK_LOGICTYPE = Internal.createIndex(DSL.name("idx_core_logic_fk_logictype"), TCoreLogic.T_CORE_LOGIC, new OrderField[] { TCoreLogic.T_CORE_LOGIC.FK_LOGICTYPE }, false);
    public static final Index IDX_CORE_LOGIC_FK_ORGRP = Internal.createIndex(DSL.name("idx_core_logic_fk_orgrp"), TCoreLogic.T_CORE_LOGIC, new OrderField[] { TCoreLogic.T_CORE_LOGIC.FK_ORGRP }, false);
    public static final Index IDX_CORE_LOGIC_FK_VARIABLE = Internal.createIndex(DSL.name("idx_core_logic_fk_variable"), TCoreLogic.T_CORE_LOGIC, new OrderField[] { TCoreLogic.T_CORE_LOGIC.FK_VARIABLE }, false);
    public static final Index IDX_CORE_LOGICANDGRP_FK_ORGRP = Internal.createIndex(DSL.name("idx_core_logicandgrp_fk_orgrp"), TCoreLogicandgrp.T_CORE_LOGICANDGRP, new OrderField[] { TCoreLogicandgrp.T_CORE_LOGICANDGRP.FK_ORGRP }, false);
    public static final Index IDX_CORE_LOGICCOND_FK_ANDGRP = Internal.createIndex(DSL.name("idx_core_logiccond_fk_andgrp"), TCoreLogiccond.T_CORE_LOGICCOND, new OrderField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_ANDGRP }, false);
    public static final Index IDX_CORE_LOGICCOND_FK_VARIABLE = Internal.createIndex(DSL.name("idx_core_logiccond_fk_variable"), TCoreLogiccond.T_CORE_LOGICCOND, new OrderField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_VARIABLE }, false);
    public static final Index IDX_CORE_LOGICCOND_FK_VARIABLE2 = Internal.createIndex(DSL.name("idx_core_logiccond_fk_variable2"), TCoreLogiccond.T_CORE_LOGICCOND, new OrderField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_VARIABLE2 }, false);
    public static final Index IDX_CORE_USERGROUP_GROUP = Internal.createIndex(DSL.name("idx_core_usergroup_group"), TCoreUsergroup.T_CORE_USERGROUP, new OrderField[] { TCoreUsergroup.T_CORE_USERGROUP.FK_GROUP }, false);
    public static final Index IDX_CORE_USERGROUP_USNR = Internal.createIndex(DSL.name("idx_core_usergroup_usnr"), TCoreUsergroup.T_CORE_USERGROUP, new OrderField[] { TCoreUsergroup.T_CORE_USERGROUP.FK_USNR }, false);
    public static final Index IDX_CORE_USERPRIVILEGE_PRIVILEGE = Internal.createIndex(DSL.name("idx_core_userprivilege_privilege"), TCoreUserprivilege.T_CORE_USERPRIVILEGE, new OrderField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_PRIVILEGE }, false);
    public static final Index IDX_CORE_VALUELIST_FK_VALUETYPE = Internal.createIndex(DSL.name("idx_core_valuelist_fk_valuetype"), TCoreValuelist.T_CORE_VALUELIST, new OrderField[] { TCoreValuelist.T_CORE_VALUELIST.FK_VALUETYPE }, false);
    public static final Index IDX_CORE_VALUEPARAM_FK_VALUE_VALUELIST = Internal.createIndex(DSL.name("idx_core_valueparam_fk_value_valuelist"), TCoreValue.T_CORE_VALUE, new OrderField[] { TCoreValue.T_CORE_VALUE.FK_VALUE_VALUELIST }, false);
    public static final Index IDX_CORE_VALUEPARAM_FK_VALUEPARAM_VALUE = Internal.createIndex(DSL.name("idx_core_valueparam_fk_valueparam_value"), TCoreValueparam.T_CORE_VALUEPARAM, new OrderField[] { TCoreValueparam.T_CORE_VALUEPARAM.FK_VALUEPARAM_VALUE }, false);
    public static final Index IDX_CORE_VARIABLE_FK_VAR_VALUELIST = Internal.createIndex(DSL.name("idx_core_variable_fk_var_valuelist"), TCoreVariable.T_CORE_VARIABLE, new OrderField[] { TCoreVariable.T_CORE_VARIABLE.FK_VAR_VALUELIST }, false);
    public static final Index IDX_ELEMENT_HIERARCHY_PARENT = Internal.createIndex(DSL.name("idx_element_hierarchy_parent"), TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, new OrderField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_PARENT_ELEMENT }, false);
    public static final Index IDX_ELEMENT_HIERARCHY_STAGE = Internal.createIndex(DSL.name("idx_element_hierarchy_stage"), TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, new OrderField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.STAGE }, false);
    public static final Index IDX_GROUPPRIVILEGE_GROUP = Internal.createIndex(DSL.name("idx_groupprivilege_group"), TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, new OrderField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_GROUP }, false);
    public static final Index IDX_GROUPPRIVILEGE_PRIVILEGE = Internal.createIndex(DSL.name("idx_groupprivilege_privilege"), TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, new OrderField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_PRIVILEGE }, false);
    public static final Index IDX_UMLS_DN = Internal.createIndex(DSL.name("idx_umls_dn"), TCoreUmls.T_CORE_UMLS, new OrderField[] { TCoreUmls.T_CORE_UMLS.DN }, false);
    public static final Index IDX_UMLS_UMLS = Internal.createIndex(DSL.name("idx_umls_umls"), TCoreUmls.T_CORE_UMLS, new OrderField[] { TCoreUmls.T_CORE_UMLS.UMLS }, false);
    public static final Index IDX_UMLSIMPORT_QUERY = Internal.createIndex(DSL.name("idx_umlsimport_query"), TCoreUmlsimport.T_CORE_UMLSIMPORT, new OrderField[] { TCoreUmlsimport.T_CORE_UMLSIMPORT.QUERY }, false);
    public static final Index IDX_USERPRIVILEGE_PRIVILEGE = Internal.createIndex(DSL.name("idx_userprivilege_privilege"), TCoreUserprivilege.T_CORE_USERPRIVILEGE, new OrderField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_PRIVILEGE }, false);
    public static final Index IDX_USERPRIVILEGE_USNR = Internal.createIndex(DSL.name("idx_userprivilege_usnr"), TCoreUserprivilege.T_CORE_USERPRIVILEGE, new OrderField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_USNR }, false);
    public static final Index T_CORE_ELEMENT_HIERARCHY_UNIQUE_NAME_IDX = Internal.createIndex(DSL.name("t_core_element_hierarchy_unique_name_idx"), TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, new OrderField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.UNIQUE_NAME }, false);
    public static final Index T_INPUT_VARIABLE_FK_VAR_INPUTTYPE_IDX = Internal.createIndex(DSL.name("t_input_variable_fk_var_inputtype_idx"), TInputVariable.T_INPUT_VARIABLE, new OrderField[] { TInputVariable.T_INPUT_VARIABLE.FK_VAR_INPUTTYPE }, false);
    public static final Index T_SHIP_MRCONSO_DN_IDX = Internal.createIndex(DSL.name("t_ship_mrconso_dn_idx"), TUmlsMrconso.T_UMLS_MRCONSO, new OrderField[] { TUmlsMrconso.T_UMLS_MRCONSO.DN }, false);
    public static final Index T_SHIP_MRCONSO_STR_IDX = Internal.createIndex(DSL.name("t_ship_mrconso_str_idx"), TUmlsMrconso.T_UMLS_MRCONSO, new OrderField[] { TUmlsMrconso.T_UMLS_MRCONSO.STR }, false);
}
